Bug 975400 - Process instance identifier is missing in response of start REST API call
Process instance identifier is missing in response of start REST API call
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: DR6
: 6.0.0
Assigned To: Marco Rietveld
Ivo Bek
: TestBlocker
Depends On:
  Show dependency treegraph
Reported: 2013-06-18 07:30 EDT by Ivo Bek
Modified: 2016-09-20 01:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:06:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2013-06-18 07:30:18 EDT
Description of problem:

When I call start REST API operation to create a process instance, I will receive just this response:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

There should be some information about the process instance identifier to get more details about the process instance, I created.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Ivo Bek 2013-06-19 07:14:43 EDT
Well, to support it ... the response should be same as JMS, which returns JaxbProcessInstanceResponse.
Comment 2 Marco Rietveld 2013-06-28 11:24:23 EDT
Hi Ivo, I disagree with comparing the JMS and the REST api with each other -- they are not interchangeable and have different purposes, I think. 

The JMS api only really provides a "execute" interface, to which commands can be sent. It also has much less interactivity (and is smaller) than the REST api. If you interface with the JMS api, then the results are determined by which (drools/jbpm) command you call, or if you're using the programmatic client api, which (ksession) method you call. 

I agree with you that more details should be provided, though. I disagree with returning the ProcessInstance: there are other operations for that, including the /process/instance/{id}. 

I'll make sure to add more info to the reply.
Comment 3 Marek Baluch 2013-07-04 14:22:59 EDT
Hi Marco,

which commands? Is it any command which implements the GenericCommand<T> interface?

Comment 4 Marco Rietveld 2013-07-08 14:09:35 EDT
Ivo: I've modified the process/instance/{id}/start method so that it will respond with a JaxbProcessInstance entity.
Comment 5 Ivo Bek 2013-07-09 02:42:35 EDT
I've seen the changes in source code already, so thank you.
Comment 9 Ivo Bek 2013-07-11 04:38:16 EDT
Verified in JBoss BPMS 6.0.0.DR6

Note You need to log in before you can comment on or make changes to this bug.